Passer au contenu principal
GET
/
cms
/
pages
/
2026-03
/
landing-pages
/
{objectId}
/
revisions
/
{revisionId}
Récupérer une version précédente d'une page de destination
curl --request GET \
  --url https://api.hubapi.com/cms/pages/2026-03/landing-pages/{objectId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": {
    "abTestId": "<string>",
    "archivedAt": "2023-11-07T05:31:56Z",
    "archivedInDashboard": true,
    "attachedStylesheets": [
      {}
    ],
    "authorName": "<string>",
    "campaign": "<string>",
    "categoryId": 123,
    "contentGroupId": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "currentlyPublished": true,
    "domain": "<string>",
    "dynamicPageDataSourceId": "<string>",
    "dynamicPageDataSourceType": 123,
    "dynamicPageHubDbTableId": "<string>",
    "enableDomainStylesheets": true,
    "enableLayoutStylesheets": true,
    "featuredImage": "<string>",
    "featuredImageAltText": "<string>",
    "folderId": "<string>",
    "footerHtml": "<string>",
    "headHtml": "<string>",
    "htmlTitle": "<string>",
    "id": "<string>",
    "includeDefaultCustomCss": true,
    "layoutSections": {},
    "linkRelCanonicalUrl": "<string>",
    "mabExperimentId": "<string>",
    "metaDescription": "<string>",
    "name": "<string>",
    "pageExpiryDate": 123,
    "pageExpiryEnabled": true,
    "pageExpiryRedirectId": 123,
    "pageExpiryRedirectUrl": "<string>",
    "pageRedirected": true,
    "password": "<string>",
    "publicAccessRules": [
      {}
    ],
    "publicAccessRulesEnabled": true,
    "publishDate": "2023-11-07T05:31:56Z",
    "publishImmediately": true,
    "slug": "<string>",
    "state": "<string>",
    "subcategory": "<string>",
    "templatePath": "<string>",
    "themeSettingsValues": {},
    "translatedFromId": "<string>",
    "translations": {},
    "updated": "2023-11-07T05:31:56Z",
    "updatedById": "<string>",
    "url": "<string>",
    "useFeaturedImage": true,
    "widgetContainers": {},
    "widgets": {}
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "user": {
    "email": "<string>",
    "fullName": "<string>",
    "id": "<string>"
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

objectId
string
requis

L'ID de la page de destination.

revisionId
string
requis

L'ID de la version spécifique à récupérer.

Réponse

successful operation

id
string
requis
object
object
requis
updatedAt
string<date-time>
requis
user
object
requis
Dernière modification le 13 avril 2026